// Custom Scroll Bars

$scroll-bg: $white;
$scroll-fg: $blue;

::-webkit-scrollbar {
  width: 20px;
  height: 20px;
}
::-webkit-scrollbar-track {
  background: $scroll-bg;
}
::-webkit-scrollbar-track:vertical {
  box-shadow: inset 1px 0 0 0 $scroll-bg, inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-track:horizontal {
  box-shadow: inset 0 1px 0 0 $scroll-bg, inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-track-piece {
  border-radius: 99px;
  background: $scroll-bg;
}
::-webkit-scrollbar-track-piece {
  background-clip: padding-box;
  border-width: 7.5px;
  border-style: solid;
  border-color: transparent;
}
::-webkit-scrollbar-track-piece:vertical {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-track-piece:horizontal {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb {
  border-radius: 0px;
  background: $scroll-fg;
}
::-webkit-scrollbar-thumb {
  background-clip: padding-box;
  border-width: 7.5px;
  border-style: solid;
  border-color: transparent;
}
::-webkit-scrollbar-thumb:vertical {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb:horizontal {
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb:vertical:hover {
  background-color: $scroll-fg;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb:horizontal:hover {
  background-color: $scroll-fg;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb:vertical:active {
  background-color: $scroll-fg;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-thumb:horizontal:active {
  background-color: $scroll-fg;
  box-shadow: inset 0 0 0 1px rgba(0, 0, 0, 0), inset 0px 0px 0px 0px rgba(0, 0, 0, 0);
}
::-webkit-scrollbar-corner {
  background: $scroll-bg;
}
